マスダといいます。

Rubyを v1.8.7 より v2.1.0 へアップデートしてみたところ、以下のスクリ
プトの break でLocalJumpErrorが出てしまいます。
何か他のイテレータの脱出方法があるんでしょうか?

--------

%(a b c).each { |c|
  begin
    raise
  rescue => e
    begin
      raise
    rescue => e
      break
    end
  end
}

--------

環境の詳細です。

OS X 10.10.3  (14D136)
ruby 2.2.1p85 (2015-02-26 revision 49769) [x86_64-darwin14]